Loading...
Searching...
No Matches
lazy
Meta » Trait

## Typedefs

template<typename T >
using | meta::lazy::alignof_ = defer< alignof_, T >
template<typename... As>
using | meta::lazy::let = defer< let, As... >
template<typename Fn >
using | meta::lazy::not_fn = defer< not_fn, Fn >
template<typename T >
using | meta::lazy::sizeof_ = defer< sizeof_, T >

## Detailed Description

## Typedef Documentation

## alignof_

template<typename T >

using meta::lazy::alignof_ = typedef defer<alignof_, T>

`#include <meta/meta.hpp>`

See also
  `meta::alignof_`

## let

template<typename... As>

using meta::lazy::let = typedef defer<let, As...>

`#include <meta/meta.hpp>`

See also
  `meta::let`

## not_fn

template<typename Fn >

using meta::lazy::not_fn = typedef defer<not_fn, Fn>

`#include <meta/meta.hpp>`

See also
  'meta::not_fn'

## sizeof_

template<typename T >

using meta::lazy::sizeof_ = typedef defer<sizeof_, T>

`#include <meta/meta.hpp>`

See also
  `meta::sizeof_`